Other Operations
Assign Lead
Place assignee to a lead.
POST
/
v1.0
/
leads
/
{leadId}
/
assignment
Assign Lead
curl --request POST \
--url https://api.lofty.com/v1.0/leads/{leadId}/assignment \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
[
{
"role": "Agent",
"assignee": "info@lofty-mail.me"
}
]
'import requests
url = "https://api.lofty.com/v1.0/leads/{leadId}/assignment"
payload = [
{
"role": "Agent",
"assignee": "info@lofty-mail.me"
}
]
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify([{role: 'Agent', assignee: 'info@lofty-mail.me'}])
};
fetch('https://api.lofty.com/v1.0/leads/{leadId}/assignment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"leadId": 651095960136641
}Path Parameters
Body
application/json
Response
200 - application/json
Successful operation.
Response containing the lead ID.
ID of the lead.
Example:
651095960136641
⌘I
Assign Lead
